Metafunction
Value
Type of the items in the container.
Value<T>::Type
Include Headers
seqan/basic.h
Parameters

T

Spec.Journaled String
Type for which the value type is determined.
Types: Align, AlignCols, char array, Finder, FrequencyDistribution, Gaps, Holder, IdManager, IdManager, InternalMap, InternalPointerMap, InternalRawMap, IntervalAndCargo, IntervalTree, IntervalTreeNode, Iter, MemoryManager, MemoryManager, MotifFinder, Pdf, PointAndCargo, PriorityType, PropertyMap, Proxy, Pseudocount, Rng, Score, Seed, SeedSet, SeedSet, Segment, Shape, SimpleType, std::basic_string, std::list, std::vector

Remarks
The value type of a container T is the type of the elements in T. For example, the value type of a sequence of int is int.
Return Values

Type | Value type of T.

Functions

assignValueById | Adds a new string to the StringSet and returns an id.
create | Makes an object to owner of its content.
setValue | Makes holder dependent.

Examples
Value<String<char> >::Type c; //c has type char
Part of Concept
Container, Iterator
See Also
ValueSize, Row, Col, Reference, GetValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50